Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.assembler
Class ImportManager

    java.lang.Object
      com.hp.hpl.jena.assembler.ImportManager

    public class ImportManager

extends java.lang.Object

Field Summary
`static ImportManager` | `instance` A shared instance of ImportManage, used as a default by several other assembler methods.

Constructor Summary
`ImportManager()`

Method Summary
`void` | `clear()` Clear this ImportManager's cache.
`Model` | `withImports(FileManager fm, Model model)` Answer `model` if it has no imports, or a union model with `model` as its base and its imported models as the other components.
`Model` | `withImports(Model model)` Answer `model` if it has no imports, or a union model with `model` as its base and its imported models as the other components.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final ImportManager instance

  A shared instance of ImportManage, used as a default by several other assembler methods.

Constructor Detail

### ImportManager

    public ImportManager()

Method Detail

### clear

    public void clear()

  Clear this ImportManager's cache.

### withImports

    public Model withImports(Model model)

  Answer `model` if it has no imports, or a union model with `model` as its base and its imported models as the other components. The default file manager is used to load the models.

### withImports

    public Model withImports(FileManager fm,
                             Model model)

  Answer `model` if it has no imports, or a union model with `model` as its base and its imported models as the other components. The file manager `fm` is used to load the imported models.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP